extra-1.5.3: Extra functions I use.

Safe Haskell | Safe
Language | Haskell2010

Data.Version.Extra

Description

This module extends Data.Version with extra utilities. The package also exports the existing Data.Version functions.

Synopsis

- module Data.Version
- makeVersion :: [Int] -> Version
- readVersion :: String -> Version

# Documentation

module Data.Version

makeVersion :: [Int] -> Version #

Construct tag-less `Version`

Since: 4.8.0.0

readVersion :: String -> Version Source #

Read a `Version` or throw an exception.

    \x -> readVersion (showVersion x) == x
    readVersion "hello" == undefined